summaryrefslogtreecommitdiffstats
path: root/isolinux/setpkg
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2009-08-26 10:00:38 -0500
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:41:17 +0200
commit5a12e7c134274dba706667107d10d231517d3e05 (patch)
tree55718d5acb710fde798d9f38d0bbaf594ed4b296 /isolinux/setpkg
downloadcurrent-5a12e7c134274dba706667107d10d231517d3e05.tar.gz
current-5a12e7c134274dba706667107d10d231517d3e05.tar.xz
Slackware 13.0slackware-13.0
Wed Aug 26 10:00:38 CDT 2009 Slackware 13.0 x86_64 is released as stable! Thanks to everyone who helped make this release possible -- see the RELEASE_NOTES for the credits. The ISOs are off to the replicator. This time it will be a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. We're taking pre-orders now at store.slackware.com. Please consider picking up a copy to help support the project. Once again, thanks to the entire Slackware community for all the help testing and fixing things and offering suggestions during this development cycle. As always, have fun and enjoy! -P.
Diffstat (limited to 'isolinux/setpkg')
-rw-r--r--isolinux/setpkg48
1 files changed, 48 insertions, 0 deletions
diff --git a/isolinux/setpkg b/isolinux/setpkg
new file mode 100644
index 000000000..134e82f3b
--- /dev/null
+++ b/isolinux/setpkg
@@ -0,0 +1,48 @@
+#!/bin/sh
+# This script is used within the Slackware installer to present
+# a package series selection menu. If not present, a default list
+# built into the installer is used.
+
+# Protected tmp directory:
+TMP=/var/log/setup/tmp
+if [ ! -d $TMP ]; then
+ mkdir -p $TMP
+fi
+
+rm -f $TMP/SeTSERIES
+dialog --title "PACKAGE SERIES SELECTION" --item-help --checklist \
+"Now it's time to select which general categories of software to install \
+on your system. Use the spacebar to select or unselect the software you \
+wish to install. You can use the up and down arrows to see all the \
+possible choices. Recommended choices have been preselected. Press the \
+ENTER key when you are finished." \
+20 75 9 \
+"A" "Base Linux system" on "The A (base) series contains the kernel and main system utilities." \
+"AP" "Various Applications that do not need X" on "The AP series is a collection of useful applications." \
+"D" "Program Development (C, C++, Lisp, Perl, etc.)" on "The D series contains compilers, debuggers, and other programming tools." \
+"E" "GNU Emacs" on "The E series contains the GNU Emacs advanced real-time display editor." \
+"F" "FAQ lists, HOWTO documentation" on "The F series contains essential documentation for Linux system administrators." \
+"K" "Linux kernel source" on "The K series contains the source code for the Linux kernel." \
+"KDE" "Qt and the K Desktop Environment for X" on "The KDE series contains the K Desktop Environment and related libraries." \
+"KDEI" "International language support for KDE" off "The KDEI series provides support for languages other than US English in KDE." \
+"L" "System Libraries (needed by KDE, GNOME, X, and more)" on "The L series contains important libraries needed by the rest of the system." \
+"N" "Networking (TCP/IP, UUCP, Mail, News)" on "The N series contains network related clients and servers." \
+"T" "TeX typesetting software" on "TeX is a typesetting system often used for mathematics and technical papers." \
+"TCL" "Tcl/Tk script languages" on "The TCL series contains the Tcl/Tk/TclX languages and programs that use them." \
+"X" "X Window System" on "This series contains X, the window system (or GUI) used by Linux." \
+"XAP" "X Applications" on "The XAP series is a collection of applications for X." \
+"Y" "Games" on "The Y series contains a collection of classic text-based games." \
+2> $TMP/SeTSERIES
+if [ ! $? = 0 ]; then
+ rm -f $TMP/SeTSERIES
+ exit
+fi
+# Save this "just in case":
+#"GNOME" "The GNOME desktop for X" on "The GNOME series contains the GNOME desktop environment and related libraries."
+#
+# Rewrite the list into a single # delimited line:
+INSTSETS="`cat $TMP/SeTSERIES | tr -d " "`"
+INSTSETS="`echo $INSTSETS | tr "\042" "#" `"
+INSTSETS="`echo $INSTSETS | tr "," "#" `"
+# Store the selection list:
+echo "$INSTSETS" > $TMP/SeTSERIES